package org.ourfilesystem.simpleui;

/*
OurFileSystem is a peer2peer file sharing program.
Copyright (C) 2012  Robert Gass

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintWriter;

import org.ourfilesystem.filehander.FileHandler;

public class WriteDefaultSearchTemplate {
	
	public static void writeDefaultFile(File file) throws IOException {
		FileOutputStream fos = new FileOutputStream(file);
		PrintWriter pw = new PrintWriter(fos);
		pw.println("DATES");
		pw.println("PDATES");
		pw.println("ORS SUBJECT");
		pw.println("ORS COMMENT");
		pw.println("ORS KEYWORDS");
		pw.println("ANDS KEYWORDS");
		pw.println("ORS " + FileHandler.FILENAME);
		pw.println("LESS RATING");
		pw.println("GREATER RATING");
		pw.println("EXCLUDEO FLAG CORRUPT INAPPROPRIATE");
		pw.println("EXCLUDEREF DUPLICATE");
		pw.println("HASREF PREVIEW");
		pw.println("HASREF SUMMARY");
		pw.println("HASREF DUPLICATE");
		pw.println("REF");
		pw.println("INCPEERS");
		pw.println("EXPEERS");
		pw.close();
	}

}
